package com.bocloud.cmp.model.hmc.sdk.module;

/**
 * 虚拟SCSI适配器
 *
 * @author sxp
 * @since Jun 29, 2018
 */
public class ProfileVirtualIOAdapterSubclass {
    private ProfileClientNetworkAdapter profileClientNetworkAdapter;
    private ProfileTrunkAdapter profileTrunkAdapter;
    private ProfileVirtualSCSIClientAdapter profileVirtualSCSIClientAdapter;
    private ProfileVirtualSCSIServerAdapter profileVirtualSCSIServerAdapter;
    private ProfileVirtualFibreChannelClientAdapter profileVirtualFibreChannelClientAdapter;
    private ProfileVirtualFibreChannelServerAdapter profileVirtualFibreChannelServerAdapter;

    public ProfileVirtualSCSIServerAdapter getProfileVirtualSCSIServerAdapter() {
        return profileVirtualSCSIServerAdapter;
    }

    public void setProfileVirtualSCSIServerAdapter(ProfileVirtualSCSIServerAdapter profileVirtualSCSIServerAdapter) {
        this.profileVirtualSCSIServerAdapter = profileVirtualSCSIServerAdapter;
    }

    public ProfileVirtualFibreChannelServerAdapter getProfileVirtualFibreChannelServerAdapter() {
        return profileVirtualFibreChannelServerAdapter;
    }

    public void setProfileVirtualFibreChannelServerAdapter(
        ProfileVirtualFibreChannelServerAdapter profileVirtualFibreChannelServerAdapter) {
        this.profileVirtualFibreChannelServerAdapter = profileVirtualFibreChannelServerAdapter;
    }

    public ProfileClientNetworkAdapter getProfileClientNetworkAdapter() {
        return profileClientNetworkAdapter;
    }

    public void setProfileClientNetworkAdapter(ProfileClientNetworkAdapter profileClientNetworkAdapter) {
        this.profileClientNetworkAdapter = profileClientNetworkAdapter;
    }

    public ProfileTrunkAdapter getProfileTrunkAdapter() {
        return profileTrunkAdapter;
    }

    public void setProfileTrunkAdapter(ProfileTrunkAdapter profileTrunkAdapter) {
        this.profileTrunkAdapter = profileTrunkAdapter;
    }

    public ProfileVirtualSCSIClientAdapter getProfileVirtualSCSIClientAdapter() {
        return profileVirtualSCSIClientAdapter;
    }

    public void setProfileVirtualSCSIClientAdapter(ProfileVirtualSCSIClientAdapter profileVirtualSCSIClientAdapter) {
        this.profileVirtualSCSIClientAdapter = profileVirtualSCSIClientAdapter;
    }

    public ProfileVirtualFibreChannelClientAdapter getProfileVirtualFibreChannelClientAdapter() {
        return profileVirtualFibreChannelClientAdapter;
    }

    public void setProfileVirtualFibreChannelClientAdapter(
        ProfileVirtualFibreChannelClientAdapter profileVirtualFibreChannelClientAdapter) {
        this.profileVirtualFibreChannelClientAdapter = profileVirtualFibreChannelClientAdapter;
    }
}
